Description: Fix spelling mistakes
 as discovered by codespell
Author: IOhannes m zmölnig
Last-Update: 2015-10-21
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-rtclib.orig/README-Pd.txt
+++ pd-rtclib/README-Pd.txt
@@ -23,12 +23,12 @@
 Max-specific objects to control aspects of the Max-software deliberately have
 been left out.
 
-Where nameclashes with existing Pd objects and externals occured, the
+Where nameclashes with existing Pd objects and externals occurred, the
 respective RTC-objects also have been omitted. So far this only affected the
 [minus] abstraction.
 
 RTC-lib for Pd no longer mimicks the directory layout of the Max-version with
-its seperate directories for each section like Harmony, Rhythm etc. Instead all
+its separate directories for each section like Harmony, Rhythm etc. Instead all
 patches and their help files have been put into a single directory called
 "rtc".  To install the patches, either add this directory to your path and use
 the objects with their standard names, or copy the whole "rtc"-directory
--- pd-rtclib.orig/rtc-progress.csv
+++ pd-rtclib/rtc-progress.csv
@@ -4,11 +4,11 @@
 alea,done,Abstraction,"random based object"
 alea-rhythm,help,Abstraction,"rhythm generator"
 anti-bis,done,Abstraction,"Filters out immediate repetitions of integers. Right output sends a bang whenever this occurs."
-anti-bis&osc,done/help,Abstraction,"Filters out direct repetitions and when a number has occured the penultimate time"
+anti-bis&osc,done/help,Abstraction,"Filters out direct repetitions and when a number has occurred the penultimate time"
 anti-interval,done,Abstraction,"Filters out a certain interval"
 anti-octave,done,Abstraction,"Filters out octaves between two consecutive notes"
 anti-octave&prime,done,Abstraction,"Filters out octaves and primes"
-anti-osc,done,Abstraction,"Filters out an integer which has occured the penultimate time."
+anti-osc,done,Abstraction,"Filters out an integer which has occurred the penultimate time."
 banger,"banger16 done",External,"An object to bang outlets sequentially."
 between,done,Abstraction,"random based object"
 between-lin,done,Abstraction,"random based object"
--- pd-rtclib.orig/rtc/anti-bis&osc.pd
+++ pd-rtclib/rtc/anti-bis&osc.pd
@@ -17,7 +17,7 @@
 passed input numbers \, then pass it along. Otherwise block it and
 bang the second outlet.;
 #X text 257 74 Filters out direct repetitions and when a number has
-occured the penultimate time.;
+occurred the penultimate time.;
 #X obj 93 465 s \$0-passed;
 #X obj 167 28 r \$0-passed;
 #X obj 175 367 delay;
--- pd-rtclib.orig/rtc/anti-bis-help.pd
+++ pd-rtclib/rtc/anti-bis-help.pd
@@ -6,7 +6,7 @@
 #X obj 56 235 anti-bis;
 #X obj 109 257 bng 15 100 50 0 empty empty empty 17 7 0 10 -262144
 -1 -1;
-#X text 135 268 flashes when a repetition would have occured;
+#X text 135 268 flashes when a repetition would have occurred;
 #N canvas 63 44 210 190 play-it 0;
 #X obj 38 84 + 60;
 #X obj 38 118 play 127 150;
--- pd-rtclib.orig/rtc/anti-interval-help.pd
+++ pd-rtclib/rtc/anti-interval-help.pd
@@ -2,7 +2,7 @@
 #X text 37 48 anti-interval;
 #X text 37 79 Filters out a certain interval (which is the argument
 of this function) of a stream of notes and outputs a bang from right
-outlet whenever this interval would have occured.;
+outlet whenever this interval would have occurred.;
 #X msg 231 169 anti-octave;
 #X msg 106 169 anti-octave&prime;
 #X text 36 170 see also:;
@@ -18,7 +18,7 @@
 #X text 37 128 NB: the forbidden interval also concerns all its octave
 transpositions!;
 #X floatatom 166 365 4 0 0 1 forbidden_interval - -;
-#X text 205 328 flashes \, when forbidden intervall would have occured
+#X text 205 328 flashes \, when forbidden intervall would have occurred
 ;
 #X floatatom 66 308 5 0 0 0 - - -;
 #X obj 66 266 pipe 500;
--- pd-rtclib.orig/rtc/anti-octave&prime-help.pd
+++ pd-rtclib/rtc/anti-octave&prime-help.pd
@@ -2,7 +2,7 @@
 #X text 16 116 see also:;
 #X text 16 65 Filters out octaves and primes (i.e. tone repetitions)
 between two consecutive notes and outputs a bang from right outlet
-whenever this would have occured.;
+whenever this would have occurred.;
 #X text 16 33 anti-octave&prime;
 #X obj 44 299 anti-octave&prime;
 #X msg 160 116 anti-interval;
@@ -12,7 +12,7 @@
 #X msg 324 23 Harmony;
 #X floatatom 44 341 4 0 0 1 note_name - -;
 #X obj 44 373 play2 127 500 0 1;
-#X text 206 300 Flashes when an octave or prime would have occured
+#X text 206 300 Flashes when an octave or prime would have occurred
 ;
 #X obj 178 300 bng 15 250 50 0 empty empty empty 0 -6 0 8 -262144 -1
 -1;
--- pd-rtclib.orig/rtc/anti-octave-help.pd
+++ pd-rtclib/rtc/anti-octave-help.pd
@@ -2,7 +2,7 @@
 #X text 29 107 see also:;
 #X text 29 25 anti-octave;
 #X text 29 57 Filters out octaves between two consecutive notes and
-outputs a bang from right outlet whenever an octave has occured.;
+outputs a bang from right outlet whenever an octave has occurred.;
 #X msg 99 129 check-octaves;
 #X msg 99 106 anti-octave&prime;
 #X msg 224 106 anti-interval;
@@ -14,7 +14,7 @@
 #X text 29 339 1993 by Karlheinz Essl;
 #X obj 137 209 bng 15 250 50 0 empty empty empty 0 -6 0 8 -262144 -1
 -1;
-#X text 161 206 Flashes when an octave would have occured;
+#X text 161 206 Flashes when an octave would have occurred;
 #X msg 43 173 10 \, 11 \, 12 \, 24;
 #X connect 6 0 9 0;
 #X connect 6 1 12 0;
--- pd-rtclib.orig/rtc/anti-osc-help.pd
+++ pd-rtclib/rtc/anti-osc-help.pd
@@ -10,7 +10,7 @@
 #X msg 211 22 Chance;
 #X obj 104 283 bng 15 250 50 0 empty empty empty 0 -6 0 8 -262144 -1
 -1;
-#X text 127 283 flashes when an oscillation would have occured;
+#X text 127 283 flashes when an oscillation would have occurred;
 #N canvas 63 44 210 190 play-it 0;
 #X obj 38 84 + 60;
 #X obj 38 118 play 127 150;
@@ -20,7 +20,7 @@
 #X restore 53 316 pd play-it;
 #X text 25 347 1992 by IRCAM;
 #X text 25 136 see also:;
-#X text 25 65 Filters out an integer which has occured the penultimate
+#X text 25 65 Filters out an integer which has occurred the penultimate
 time. Right output sends a bang when this occurs. Does not filter out
 immediate repetition as it is done by"anti-bis".;
 #X text 25 33 anti-osc;
--- pd-rtclib.orig/rtc/brown-melody-help.pd
+++ pd-rtclib/rtc/brown-melody-help.pd
@@ -2,7 +2,7 @@
 #X text 35 62 Generates a brownian-mouvement-like melody within a given
 ambitus. The distance between two notes is determined by the brownian
 factor <0-1>. When this factor is 1 \, each note of the given range
-can be choosen. When the rate is O \, the same note will be always
+can be chosen. When the rate is O \, the same note will be always
 repeated. The right outlet shows the chosen interval.;
 #X text 35 31 brown-melody;
 #X msg 475 52 Harmony;
--- pd-rtclib.orig/rtc/brown-rhythm-help.pd
+++ pd-rtclib/rtc/brown-rhythm-help.pd
@@ -3,7 +3,7 @@
 row of entry delays (ED) between a minimum and a maximum entry delay
 and a certain number of ED-values. The brownian factor determines the
 distance between two succeding rhythmical values. A factor of 0 produces
-a periodic rhythm \, wheras a factor of 1 will output random values
+a periodic rhythm \, whereas a factor of 1 will output random values
 of the given range.;
 #X floatatom 409 340 8 0 0 3 chosen_ED - -;
 #X floatatom 248 340 4 0 0 3 row_index - -;
--- pd-rtclib.orig/rtc/random-ramp-urn-help.pd
+++ pd-rtclib/rtc/random-ramp-urn-help.pd
@@ -63,7 +63,7 @@
 #X floatatom 432 280 4 0 0 2 nr._of_values - -;
 #X msg 210 141 random-ramp;
 #X text 144 109 As opposed to "random-ramp" \, this version performs
-a repetition check of the randomly chosen paramters.;
+a repetition check of the randomly chosen parameters.;
 #X text 145 142 See also:;
 #X obj 120 300 random-ramp-urn 10 127 5 250 2000 12;
 #X text 15 29 random-ramp-urn;
